[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# EResourceDuplicateException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

There is already a resource with same type, name and language ID

## Declaration

Source position: resource.pp line 82

`type EResourceDuplicateException = class(EResourceException)`

## Inheritance

`EResourceDuplicateException` |  | There is already a resource with same type, name and language ID
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised when a resource is being added to a TResources object, but another resource with the same type, name and language ID already exists.

## See also

TResources.Add |  | Adds a resource
TResources.MoveFrom |  | Moves all resources of another TResources object to itself